@mixin set-hover-color($gray-200, $gray-400, $dark-gray-500) {
  .standard-hover {
    .mat-mdc-button, .mat-mdc-outlined-button {
      &:not(:disabled) {
        border: 1px solid transparent;
        background-color: $gray-200;
        color: $dark-gray-500;
      }
    }

    app-expansion-button, app-close-button {
      .mat-mdc-button, .mat-mdc-outlined-button {
        &:not(:disabled) {
          color: $gray-200;
          border-color: $gray-200;
          background-color: transparent;
        }
      }
    }

    &:hover, &:active, &:focus {
      background-color: $gray-200;
      color: $dark-gray-500;

      .mat-mdc-button, .mat-mdc-outlined-button {
        &:disabled {
          color: $gray-400;
          border-color: $gray-400;
        }
        &:not(:disabled) {
          color: $dark-gray-500;
          border-color: $dark-gray-500;

          &:hover {
            color: $gray-200;
            background-color: $dark-gray-500;
            border-color: $dark-gray-500;
          }
        }
      }

      app-expansion-button .mat-mdc-outlined-button {
        &:disabled {
          color: $gray-400;
          border-color: $gray-400;
        }
        &:not(:disabled) {
          color: $dark-gray-500;
          border-color: $dark-gray-500;

          &:hover {
            color: $gray-200;
            background-color: $dark-gray-500;
            border-color: $dark-gray-500;
          }
        }
      }

      app-expansion-item {
        .mat-mdc-button, .mat-mdc-outlined-button {
          &:disabled {
            color: $gray-400;
            border-color: $gray-400;
          }
        }
      }
    }
  }

  .remote-hover {
    background-color: $gray-200;
    color: $dark-gray-500;
  }
}
